<?php

class i_scalar_2_1_10a_upgrade extends i_action_upgrade
{
public function step1_init() {}
public function step1_process()
{
	

			$this->extract("main");
			$this->mv("scalar-2.1.10a/system/application/config/rdf.php", 'system/application/config/');  // Overwrite rdf.php
			$this->rm("scalar-2.1.10a/system/application/config");  // Remove config folder
			$this->rm("scalar-2.1.10a/system/application/language");  // Remove language folder
			$this->rm("scalar-2.1.10a/.htaccess");  // Remove .htaccess
			$this->mv("scalar-2.1.10a/*");  // Copy everything else over
			$this->rm("scalar-2.1.10a");  // Remove the folder
			
			$this->extract("transfer");
			$this->rm("system/application/plugins/transfer/*");  // transfer plugin
			$this->mv('scalar-book-transfer-tool-0.7/*','system/application/plugins/transfer/');
			$this->rm("scalar-book-transfer-tool-0.7");

			// Add local_settings.php items
			$str = $this->read("system/application/config/local_settings.php");
			$str = str_replace('// Soundcloud key', '// Custom message displayed beneath the registration key field on the register page'."\n".'$config[\'registration_key_msg\'] = \'\';'."\n\n".'// Soundcloud key', $str);
			$this->write("system/application/config/local_settings.php", $str);
			
			$str = $this->read("system/application/config/local_settings.php");
			$str = str_replace('// Soundcloud key', '// YouTube Data API key'."\n".'$config[\'youtube_data_key\'] = (getenv(\'SCALAR_YOUTUBE_DATA_KEY\') ? getenv(\'SCALAR_YOUTUBE_DATA_KEY\') : \'\');'."\n\n".'// Soundcloud key', $str);
			$this->write("system/application/config/local_settings.php", $str);
			
			$str = $this->read("system/application/config/local_settings.php");
			$str = str_replace('// If true, keep self-published books on the book index page hidden under a tab', '// If true, external hyperlinks will go directly to the external page rather than attempt to be rendered in Scalar\'s external.php'."\n".'$config[\'external_direct_hyperlink\'] = false;'."\n\n".'// If true, keep self-published books on the book index page hidden under a tab', $str);
			$this->write("system/application/config/local_settings.php", $str);


}
}

?>